<?php
namespace Drupal\module_usage;

use Drupal\Core\Ajax\CommandInterface;

/**
 * Custom AJAX command class.
 */
class SetCountCommand implements CommandInterface {

  /**
   * The name of the tab [ notes|url].
   * @var string
   */
  private string $tabName;

  /**
   * The machine name of the module.
   *
   * @var string
   */
  private string $machineName;

  /**
   * The number of rows.
   * @var int
   */
  private int $count;

  public function __construct(string $tabName, string $machineName, int $count) {
    $this->tabName = $tabName;
    $this->machineName = $machineName;
    $this->count = $count;
  }

  public function render() {
    return [
      'command' => 'setCount',
      'tabName' => $this->tabName,
      'machineName' => $this->machineName,
      'count' => $this->count,
    ];
  }
}

